Bug 150446 - New port: lang/rexx-regutil
Summary: New port: lang/rexx-regutil
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-09 20:10 UTC by bob
Modified: 2010-11-04 01:05 UTC (History)
0 users

See Also:


Attachments
file.shar (4.51 KB, text/plain)
2010-09-09 20:10 UTC, bob
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bob 2010-09-09 20:10:09 UTC
New port: lang/rexx-regutil

Regutil is an implementation of the well known RexxUtil library for the REXX language. It provides extended facilities for file manipulation and much more. It is widely implemented, so the port to FreeBSD enables many REXX scripts to be easily ported too.

The shar file has a .txt on the end of its name due to a browser problem.

Fix: N/A

Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 Philip M. Gollucci freebsd_committer 2010-09-23 05:36:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-09-24 07:24:13 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 3 dfilter service freebsd_committer 2010-11-04 00:57:27 UTC
wen         2010-11-04 00:57:22 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/rexx-regutil    Makefile distinfo pkg-descr pkg-plist 
    lang/rexx-regutil/files patch-Makefile.inc pkg-message.in 
                            regutil.1.in 
  Log:
  RegUtil is an implementation of IBM's RexxUtil for Regina. According to
  the author, it is not complete; however, it implements a large number of
  the RexxUtil functions, and is very useful.
  
  Note that any scripts which load RegUtil must be run with the 'regina'
  command, rather than 'rexx'; the latter does not support the use of
  external function packages.
  
  WWW: http://pages.interlog.com/~pjtm/
  
  PR:             ports/150446
  Submitted by:   Bob Eager <bob@eager.cx>
  
  Revision  Changes    Path
  1.707     +1 -0      ports/lang/Makefile
  1.1       +45 -0     ports/lang/rexx-regutil/Makefile (new)
  1.1       +2 -0      ports/lang/rexx-regutil/distinfo (new)
  1.1       +11 -0     ports/lang/rexx-regutil/files/patch-Makefile.inc (new)
  1.1       +5 -0      ports/lang/rexx-regutil/files/pkg-message.in (new)
  1.1       +24 -0     ports/lang/rexx-regutil/files/regutil.1.in (new)
  1.1       +9 -0      ports/lang/rexx-regutil/pkg-descr (new)
  1.1       +3 -0      ports/lang/rexx-regutil/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2010-11-04 01:05:14 UTC
State Changed
From-To: open->closed

New port added. Thanks!